Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas.spi
Class JDBCLoginModule

    java.lang.Object
      org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule
          org.mortbay.jetty.plus.jaas.spi.AbstractDatabaseLoginModule
              org.mortbay.jetty.plus.jaas.spi.JDBCLoginModule

All Implemented Interfaces:
  LoginModule

    public class JDBCLoginModule

extends AbstractDatabaseLoginModule

JDBCLoginModule

JAAS LoginModule to retrieve user information from a database and authenticate the user.

#### Notes

This version uses plain old JDBC connections NOT Datasources.

#### Usage

###

###

###

    Nested Class Summary

    Nested classes/interfaces inherited from class org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule

    AbstractLoginModule.JAASUserInfo

    Constructor Summary

    JDBCLoginModule()

    Method Summary

     Connection
    getConnection()

              Get a connection from the DriverManager

     void
    initialize(Subject subject,
               CallbackHandler callbackHandler,
               Map sharedState,
               Map options)

              Init LoginModule.

    Methods inherited from class org.mortbay.jetty.plus.jaas.spi.AbstractDatabaseLoginModule

    getUserInfo

    Methods inherited from class org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule

    abort, commit, configureCallbacks, getCallbackHandler, getCurrentUser, getSubject, isAuthenticated, isCommitted, login, logout, setAuthenticated, setCallbackHandler, setCommitted, setCurrentUser, setSubject

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    JDBCLoginModule

    public JDBCLoginModule()

    Method Detail

    getConnection

    public Connection getConnection()
                             throws Exception

    Get a connection from the DriverManager

    Specified by:getConnection in class AbstractDatabaseLoginModule

    Returns:
    Throws:
    ExceptionSee Also:AbstractDatabaseLoginModule.getConnection()

    initialize

    public void initialize(Subject subject,
                           CallbackHandler callbackHandler,
                           Map sharedState,
                           Map options)

    Init LoginModule.
     Called once by JAAS after new instance created.

    Specified by:initialize in interface LoginModuleOverrides:initialize in class AbstractDatabaseLoginModule

    Parameters:subject - callbackHandler - sharedState - options - See Also:LoginModule.initialize(javax.security.auth.Subject, javax.security.auth.callback.CallbackHandler, java.util.Map, java.util.Map)

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD

    Copyright © 2007 Mort Bay Consulting. All Rights Reserved.